Name:          openorb-ssl
Version:       1.4.0
Release:       %mkrel 2
Summary:       OpenORB SecurityService, Integrating SSL with CORBA Security
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/SSL-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-ssl-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: java-devel
BuildRequires: javahelp2
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb == %{version}
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
Requires:      openorb == %{version}
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains the SSL extension for OpenORB.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB SecurityService, Integrating SSL with CORBA Security.

This package contains javadoc for %{name}.

%prep

%setup -q -n SSL

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-cli avalon-framework-api avalon-framework-impl avalon-logkit excalibur-configuration)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools tools-openorb openorb jsse)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  -Djhall-jar=$(build-classpath javahelp2) \
  jar-all compile-javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_ssl-%{version}.jar %{buildroot}%{_javadir}/openorb-ssl-%{version}.jar
install -m 644 lib/openorb_ssl_examples-%{version}.jar %{buildroot}%{_javadir}/openorb-ssl-examples-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-ssl-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-ssl-%{version}/
ln -s openorb-ssl-%{version} %{buildroot}%{_javadocdir}/openorb-ssl

%files
%{_javadir}/openorb-ssl-%{version}.jar
%{_javadir}/openorb-ssl.jar
%{_javadir}/openorb-ssl-examples-%{version}.jar
%{_javadir}/openorb-ssl-examples.jar
%doc LICENSE.txt README

%files javadoc
%{_javadocdir}/openorb-ssl-%{version}
%{_javadocdir}/openorb-ssl



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 362096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 135873
- Clean spec file to mageia guidelines

  + gil <gil>
    - imported package openorb-ssl

